Firefox 10 please Rated 5 out of 5 stars

Please update to it can work with FF10

This review is for a previous version of the add-on (1.8).